// 对drugs_guide.js的补充

$("body").css("display", "none");

// 解绑事件
$(function () {
  var noop = function () {};
  var DrugUtils = {
    UA: window.navigator.userAgent.toLowerCase(),
    /**
     * 启用图片画廊
     */
    enablePageImageGallery() {
      var imageUrls = [];
      var targetClickImgs = $(
        ".table_sec .table_wrap .t-BOX, .fig_sec .fig .graphic_wrap"
      );
      targetClickImgs.off("click");

      targetClickImgs.each(function (i) {
        var sourceEl = $(this).children(":first");
        var src = $(sourceEl).attr("rel") || $(sourceEl).attr("src");
        imageUrls.push(src);

        $(this).on("click", function (e) {
          e.stopPropagation();
          window.DXYJSBridge.invoke(
            "openGallery",
            {
              imgUrls: imageUrls,
              imgIndex: i,
            },
            noop
          );
        });
      });
    },
    enableReference() {
      // 参考文献弹出
      $(".main_txt .xref.bibr").off("click");
      $(".main_txt .xref.bibr").click(function (e) {
        var refPanel = $('<div id="pop_window"></div>');
        var rid = $(this).attr("rid");
        var ref = $("#" + rid);
        var refConWithNoAbs = ref.find(".mixed_citation").clone();
        refConWithNoAbs.find(".abstract").remove();
        var ext_link = refConWithNoAbs.find(".ext_link");
        var doi_ = ext_link.html();
        ext_link.replaceWith(doi_);
        $("<div></div>").append(refConWithNoAbs).appendTo(refPanel);
        var abs = ref.find(".abstract");
        if (abs.text().length || abs.children().length) {
          $('<div class="abs"></div>')
            .append("<strong>摘要</strong>")
            .append(abs.clone())
            .appendTo(mebCnter);
        }
        e.stopPropagation();
        window.DXYJSBridge.invoke(
          "onClickReference",
          {
            html: refPanel.prop("outerHTML"),
          },
          noop
        );
      });
    },
    getMenu() {
      var navMebs = $(".main_txt").find(
        ".body .sec, .body .fig_sec, .body .table_sec, .back .ref_list, .back .app, .response, .sub_article"
      );
      var menu = [];
      navMebs.each(function (i) {
        var attrs = getAttrs($(this));
        var item = [];
        if (attrs.titles && attrs.titles.length) {
          attrs.titles.forEach(function (attr) {
            if (attr.title || attr.label) {
              item.push({
                title: (attr.label || "") + attr.title,
                level: attrs.level - 1,
                cellId: attrs.id,
              });
            }
          });
        }
        menu = menu.concat(item);
      });

      window.DXYJSBridge.invoke("dataTransfer", { menu: menu });
    },
  };
  var ready = function () {
    window.DXYJSBridge.invoke("pageInit", null, (res) => {
      try {
        if (res) {
          $("body").css("display", "block");

          if (res) {
            var fontScale = res.fontScale || 1;
            if (typeof fontScale === "number") {
              window.changeFontSize(fontScale);
            }
          }

          $(".btn_daka_buy").off("click");
          $("#content_wz").off("click");

          DrugUtils.enablePageImageGallery();
          DrugUtils.enableReference();
          DrugUtils.getMenu();
        }
      } catch (e) {}
    });
  };

  if (window.DXYJSBridge) {
    ready();
  } else {
    document.addEventListener("DXYJSBridgeReady", ready, false);
  }
});

// 修改文字大小
window.changeFontSize = function (ratio) {
  const size = ratio * 16;
  window.settextsize(size);
};

window.goto = window.posMain;
